Questions tagged [installing]

Questions about the installation procedure of Vim and potential errors encountered in the process.

Filter by
Sorted by
Tagged with
21
votes
4answers
21k views

How can I install 64-bit Vim on Windows?

Vim's Downloads page says the 64-bit version is discontinued: Win64 The 32-bit version of Vim runs fine on 64-bit windows. There was a 64-bit binary, but it wasn't used much and maintenance ...
33
votes
10answers
74k views

How to enable +python feature in vim

I want to install a vim plugin, this plugin needs a +python feature, so when I open vim and type :version it displays -python. How can I make it enable?. Thanks.
56
votes
3answers
40k views

How can I get a newer version of Vim on Ubuntu?

Ubuntu's packages can be pretty old, but for some desktop programs (like Vim) I'd much rather have the latest version, as newer versions often fix various bugs. How can I get a reasonably recent Vim ...
25
votes
7answers
37k views

Vim 8.0 Python support

I'm trying to upgrade my Vim installation to version 8.0, but it doesn't support both Python and Python 3 as the below image. (PS: Because of this problem, I cannot use the YCM (YouCompleteMe) plugin ...
13
votes
1answer
12k views

Vim compiled with python3 but has('python') returns 0

I just followed these instructions to compile vim with python 3: https://github.com/Valloric/YouCompleteMe/wiki/Building-Vim-from-source After the install I checked to see if I have python3: vim --...
20
votes
1answer
7k views

How do I get +clipboard support in Fedora 20?

It seems to me that neither "+p nor "*p works for me. How can I know if my Vim is installed and set up properly to make them available? And if it's not set up, what can I do to set it up? I'm running ...
8
votes
2answers
4k views

How can I build vim with just python 3 support?

I'm on Arch, and recently the vim-python3 and gvim-python3 packages were removed, so I'm working on building vim from source such that the :python command will act as python3. Specifically, I'm doing ...
2
votes
2answers
2k views

Compiling Vim with python3 showing E370: Could not load library libpython3.7m.a

I have been trying to compile Vim with python3 on my Mac for many hours, as a result, it looks fine now, as the following: VIM - Vi IMproved 8.1 (2018 May 18, compiled Dec 9 2018 00:37:54) macOS ...
0
votes
3answers
14k views

Where is my vim installed?

My vim was installed on debian8 with the apt-get command. apt-get install vim $ find / -name 'autoload' /usr/share/vim/vim74/autoload $ find / -name '.vim' The above command can find nothing. $ ...